[UPDATECENTER2-2119] Windows2008R2 : Bootstrapping throws a dependency error Created: 15/Apr/10  Updated: 27/Apr/10  Resolved: 27/Apr/10

Status: Closed
Project: updatecenter2
Component/s: bootstrap
Affects Version/s: 2.3Update1
Fix Version/s: not determined

Type: Bug Priority: Critical
Reporter: lalithasaroja Assignee: Chris Kasso
Resolution: Cannot Reproduce Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified
Environment:

Operating System: All
Platform: Sun/x86


Issuezilla Id: 2,119

 Description   

On Windows2008R2 : I downloaded the B38b toolkit,unzipped and tried to run the
pkg but the bootstrap throws a dependency error. I checked in cfg_cache the
repository url is set http://pkg.sun.com/layered/collection/dev/

C:\Users\Administrator\Desktop\B38b\pkg-toolkit>cd bin

C:\Users\Administrator\Desktop\B38b\pkg-toolkit\bin>pkg.bat list -v

The software needed for this command (pkg) is not installed.

When this tool interacts with package repositories, some system information
such as your system's IP address and operating system type and version
is sent to the repository server. For more information please see:

http://wiki.updatecenter.java.net/Wiki.jsp?page=UsageMetricsUC2

Once installation is complete you may re-run this command.

Would you like to install this software now (y/n): y

C:\Users\Administrator\Desktop\B38b\pkg-toolkit\bin>"C:\Windows\System32\java.exe"
-Dimage.path="C:\Users\Administrator\Desktop\B38b\pkg-toolkit\bin
.." -jar "
C:\Users\Administrator\Desktop\B38b\pkg-toolkit\bin\\..\pkg/lib/pkg-bootstrap.jar"
"C:\Users\ADMINI~1\AppData\Local\Temp\2\pkg-bootstrap27794.props"
Proxy: Using system proxy settings.
Install image: C:\Users\Administrator\Desktop\B38b\pkg-toolkit
Installing pkg packages.
Input/output error: Unable to resolve dependency on package:pkg:/python2.4-minim
al@2.4.4.0-38

Could not download application packages. This could be because:

  • a proxy server is needed to access the internet. Please ensure that
    the system proxy server settings in your Internet Options control panel
    (under Connections:LAN Settings) are correct, or set the HTTP_PROXY
    environment variable to the full URL of the proxy server.
  • the package server is down or otherwise inaccessible or it is
    generating invalid data. Please contact the provider of the package
    server.

C:\Users\Administrator\Desktop\B38b\pkg-toolkit\bin>



 Comments   
Comment by faouzia [ 15/Apr/10 ]

The reason seems to be that the repository
http://pkg.sun.com/layered/collection/dev/ which is the repository configured in
cfg_cache of the universal image was not updated with the B38b packages.

as I have not seen python2.4-minimal version 2.4.6-38.2770 in this repository.

this issue is reproducible on MAC-OS also

Comment by faouzia [ 15/Apr/10 ]

An other remark is that the Error message displayed is confusing :
The python package version found in the platform specific user image is : python2.4-minimal
2.4.6.0-38.2770 installed

While the displayed message talks about python2.4-minimal@2.4.5.0-38 for MAC-OS :

alandaluz:pkg-toolkit admin$ ./bin/pkg list

The software needed for this command (pkg) is not installed.

When this tool interacts with package repositories, some system information
such as your system's IP address and operating system type and version
is sent to the repository server. For more information please see:

http://wiki.updatecenter.java.net/Wiki.jsp?page=UsageMetricsUC2

Once installation is complete you may re-run this command.

Would you like to install this software now (y/n): y

Proxy: Using system proxy settings.
Install image: /Users/admin/UC23U2/B38b/pkg-toolkit
Installing pkg packages.
Input/output error: Unable to resolve dependency on package:pkg:/python2.4-minimal@2.4.5.0-38

Could not download application packages. This could be because:

  • a proxy server is needed to access the internet. Please ensure that
    the system proxy server settings are correct, or set the 'http_proxy'
    environment variable to the full URL of the proxy server.
  • the package server is down or otherwise inaccessible or it is
    generating invalid data. Please contact the provider of the package
    server.
Comment by Chris Kasso [ 16/Apr/10 ]

This appears to be working now. There was a period of time where the 38b pkgs
were not in the repo. I recommend the user retest now that the pkgs are in the
repo.

In regards to the confusing error message I would recommend filing that as a
separate issue.

Comment by lalithasaroja [ 18/Apr/10 ]

Today I checked on Windows2008R2 with the repository url
http://pkg.sun.com/layered/collection/dev/ and the pkg & updatetool installation
went fine.

C:\Users\Administrator\Desktop\New folder>cd pkg-toolkit

C:\Users\Administrator\Desktop\New folder\pkg-toolkit>cd bin

C:\Users\Administrator\Desktop\New folder\pkg-toolkit\bin>pkg

The software needed for this command (pkg) is not installed.

When this tool interacts with package repositories, some system information
such as your system's IP address and operating system type and version
is sent to the repository server. For more information please see:

http://wiki.updatecenter.java.net/Wiki.jsp?page=UsageMetricsUC2

Once installation is complete you may re-run this command.

Would you like to install this software now (y/n): y

C:\Users\Administrator\Desktop\New folder\pkg-toolkit\bin>"C:\Program Files\JRoc
kit Real Time\jrrt-3.1.2-1.6.0\bin\java" -Dimage.path="C:\Users\Administrator\De
sktop\New folder\pkg-toolkit\bin
.." -jar "C:\Users\Administrator\Desktop\New f
older\pkg-toolkit\bin\\..\pkg/lib/pkg-bootstrap.jar" "C:\Users\ADMINI~1\AppData\
Local\Temp\2\pkg-bootstrap7023.props"
Proxy: http://webcache.sfbay.sun.com:8080
Install image: C:\Users\Administrator\Desktop\New folder\pkg-toolkit
Installing pkg packages.
Initialization complete.

C:\Users\Administrator\Desktop\New folder\pkg-toolkit\bin>pkg.bat install update
tool
DOWNLOAD PKGS FILES XFER (MB)
Completed 2/2 929/929 7.9/7.9

PHASE ACTIONS
Install Phase 1092/1092

C:\Users\Administrator\Desktop\New folder\pkg-toolkit\bin>pkg.bat list -v
FMRI STATE UFIX

pkg:/pkg@1.122.2,0-38.2770:20100414T215305Z installed u---

pkg:/pkg-extra-tools@0.2.0,0-38.2770:20100414T215223Z installed u---

pkg:/pkg-java@1.122,0-38.2770:20100414T215224Z installed u---

pkg:/pkg-toolkit-incorporation@2.3.2,0-38.2770:20100414T215225Z installed u---

pkg:/python2.4-minimal@2.4.6.0,0-38.2770:20100414T215324Z installed ----

pkg:/updatetool@2.3.2,0-38.2770:20100414T215335Z installed u---

pkg:/wxpython2.8-minimal@2.8.10.1,0-38.2770:20100414T215353Z installed u---

C:\Users\Administrator\Desktop\New folder\pkg-toolkit\bin>

Comment by lalithasaroja [ 23/Apr/10 ]

closing this issue as the 2.3u2 packages are removed from
pkg.sun.com/layered/collection/dev. See Issue 2135 which has been filed

Generated at Tue Jun 02 02:38:07 UTC 2015 using JIRA 6.2.3#6260-sha1:63ef1d6dac3f4f4d7db4c1effd405ba38ccdc558.